Show / Hide Table of Contents

# Class PlayerCharacter

This class represents a player character.

##### Inheritance

System.Object
GameObject
Character
BattleChara
PlayerCharacter

##### Implements

System.IEquatable<GameObject>

##### Inherited Members

BattleChara.StatusList
BattleChara.IsCasting
BattleChara.IsCastInterruptible
BattleChara.CastActionType
BattleChara.CastActionId
BattleChara.CastTargetObjectId
BattleChara.CurrentCastTime
BattleChara.TotalCastTime
BattleChara.Struct
Character.CurrentHp
Character.MaxHp
Character.CurrentMp
Character.MaxMp
Character.CurrentGp
Character.MaxGp
Character.CurrentCp
Character.MaxCp
Character.ClassJob
Character.Level
Character.Customize
Character.CompanyTag
Character.NameId
Character.OnlineStatus
Character.StatusFlags
GameObject.InvalidGameObjectId
GameObject.Address
GameObject.IsValid(GameObject)
GameObject.IsValid()
GameObject.IEquatable<GameObject>.Equals(GameObject)
GameObject.Equals(Object)
GameObject.GetHashCode()
GameObject.Name
GameObject.ObjectId
GameObject.DataId
GameObject.OwnerId
GameObject.ObjectIndex
GameObject.ObjectKind
GameObject.SubKind
GameObject.YalmDistanceX
GameObject.YalmDistanceZ
GameObject.IsDead
GameObject.Position
GameObject.Rotation
GameObject.HitboxRadius
GameObject.TargetObject
GameObject.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.Objects.SubKinds

###### Assembly: Dalamud.dll

##### Syntax

    public class PlayerCharacter : BattleChara, IEquatable<GameObject>

### Properties

| Improve this Doc View Source

#### CurrentWorld

Gets the current world of the character.

##### Declaration

    public ExcelResolver<Lumina.Excel.GeneratedSheets.World> CurrentWorld { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.World> |

| Improve this Doc View Source

#### HomeWorld

Gets the home world of the character.

##### Declaration

    public ExcelResolver<Lumina.Excel.GeneratedSheets.World> HomeWorld { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.World> |

| Improve this Doc View Source

#### TargetObjectId

Gets the target actor ID of the PlayerCharacter.

##### Declaration

    public override ulong TargetObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

##### Overrides

Character.TargetObjectId

### Implements

System.IEquatable<T>